Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3923 - SCSI Tape not detected in i586 variant of 2.2.5-22
Summary: SCSI Tape not detected in i586 variant of 2.2.5-22
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-07-06 22:24 UTC by john.a.limpert.1
Modified: 2008-08-01 16:22 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description john.a.limpert.1 1999-07-06 22:24:55 UTC
Upgraded from Red Hat 5.2 to Red Hat 6.0 with the kernel
from kernel-2.2.5-22.i586.rpm. The SCSI tape drive (Exabyte
8500 on Adaptec 2940) was no longer detected by the kernel
during boot. Switching to the kernel in
kernel-2.2.5-22.i386.rpm appears to have fixed the problem.
The i386 variant of the kernel detects the SCSI tape drive.

Comment 1 Bill Nottingham 1999-07-08 14:45:59 UTC
that's odd. In both cases  the st driver is compiled into the
kernel. Exactly how does it fail - does the device not show
up in /proc/scsi/scsi?

Comment 2 john.a.limpert.1 1999-07-09 14:15:59 UTC
References to /dev/st0 produce the error "no such device" and the tape
drive does not appear in /proc/scsi/scsi. Other SCSI devices (hard
disk and CD-ROM) are detected properly. The SCSI tape driver _is_
listed in the link map for the kernel.

Comment 3 Bill Nottingham 1999-07-09 18:07:59 UTC
Hm.

Out of curiousity, what happens if you try the i586 kernel
from Raw Hide
(ftp://rawhide.redhat.com/i386/RedHat/RPMS/kernel-*i586.rpm),
or compile your own i586 kernel from the same sources?


Note You need to log in before you can comment on or make changes to this bug.